Transaction Detail

This method retrieves the current status of a transaction based on its ID.


A. Request Header

FieldFormatMandatoryLengthExample
Content-Type stringYapplication/json
Open-Api-Timestampyyyy-mm-dd'T'hh:mm:ss+07:00Y2024-02-07T10:29:20.000+07:00
Open-Api-SignatureDigital SignatureY8862ou7FJzJ0e+wXTeQHEPnkCdwNCN
UEwfVZeanTu2OVQxM7Xk3ilZYAzubg
uH+CTdJq7aUlPNostRFHIJp8EsVA==

B. Request Path Variable

FieldTypeDescriptionRequiredExample
transaction_idstringYtrue“14429004”

C. Response Body

FieldTypeDescriptionExample
response_codestringContains the OpenAPI response code“200022000”
response_messagestringContains the value of OpenAPI response message“Sukses”
data objectThe object containing transaction detail info
transaction_idstringThe value of transaction’s id“14429004”
statusstringThe status of the transaction“SUCCESS”
partner_reference_idstringThe unique reference identifier provided by the partner or service invoking the transaction, recommended value is UUID v4“123242432333132”
amountstringThe buy price from the partner to Klikoo. The amount will deduct the partner’s balance on Klikoo when the transaction status is success“10086”
transaction_timestringTimestamp indicating when the transaction occurred“024-05-21T04:54:18.788451Z”
reasonstringThe information about the reason of failed transaction, occur when transaction is failed“”
product_idstringThe value of product id“”
product_namestringThe value of product’s name“DANA 10.000”
snstringThe value of transaction’s serial number“2024052110121481030
100166521802805959
/DNID DEFX SUSXXXX”
valuestringRepresenting a value associated with a mobile device or user“081294482354”
customer_namestringName of the customer involved in the transaction“DNID DEFX
SUSXXXX”
current_balancestringCurrent balance associated with the customer“2181772"
beginning_balancestringBalance before the transaction occurred"2191858"
product_codestringUnique identifier for the product“DN10”
travelsarrayList of travel-related details.[ { ... } ]
travels[].travel_namestringName of the travel service."RB TEST (Do not Book)"
travels[].boarding_timestringTime when boarding starts"2025-06-01T18:00:00Z"
travels[].boarding_locationstringLocation where passengers will board."Jalan Sisingamangaraja"
travels[].destinationstringDestination location of the travel."Mataram"
travels[].is_returnbooleanIndicates if the travel is a return trip (true/false).false
travels[].passengersarrayList of passengers for the travel.[ { ... } ]
travels[].passengers[].seat_namestringSeat assigned to the passenger."10"
data.travels[].passengers[].namestringName of the passenger."Pandu"
data.travels[].passengers[].genderstringGender of the passenger (MALE/FEMALE)"MALE"
data.travels[].passengers[].id_card_numberstringID card number of the passenger"31741009219923332"
data.travels[].passengers[].priceintTicket price6101
travels[].booking_codestringUnique booking code for the travel."5AVFYYEU"
travels[].pnrstringPassenger Name Record"TS250425142746454962SUIE/71182/Medan to Mataram 10 Seats"

D. Sample Response

  1. Prepaid and Postpaid Product
{
    "response_code": "200022000",
    "response_message": "Sukses",
    "data": {
        "transaction_id": "14429004",
        "status": "SUCCESS",
        "partner_reference_id": "123242432333132",
        "amount": "10086",
        "transaction_time": "2024-05-21T04:54:18.788451Z",
        "reason": "",
        "product_id": "",
        "product_name": "DANA 10.000",
        "sn": "2024052110121481030100166521802805959/DNID DEFX SUSXXXX",
        "value": "081294482354",
        "customer_name": "DNID DEFX SUSXXXX",
        "current_balance": "2181772",
        "beginning_balance": "2191858",
        "product_code": "DN10"
    }
}
{
    "response_code": "200022000",
    "response_message": "Sukses",
    "data": {
        "transaction_id": "14434863",
        "status": "SUCCESS",
        "partner_reference_id": "876476467510005",
        "amount": "12692",
        "transaction_time": "2025-04-11T09:08:50.378762Z",
        "reason": "",
        "product_id": "",
        "product_name": "Tiket Bus",
        "sn": "14434863",
        "value": "",
        "customer_name": "Pandu",
        "current_balance": "8310810",
        "beginning_balance": "8323502",
        "product_code": "BUS",
        "travels": [
            {
                "travel_name": "RB TEST (Do not Book)",
                "boarding_time": "2025-06-01T18:00:00Z",
                "boarding_location": "Jalan Sisingamangaraja",
                "destination": "Mataram",
                "is_return": false,
                "booking_code": "5AVFYYEU",
              	"pnr": "TS250425142746454962SUIE/71182/Medan to Mataram 10 Seats",
                "passengers": [
                    {
                        "seat_name": "10",
                        "name": "Pandu",
                        "gender": "MALE",
                        "id_card_number": "31741009219923332",
                        "price": 6101
                    },
                    {
                        "seat_name": "2",
                        "name": "Janu",
                        "gender": "MALE",
                        "id_card_number": "31741009219923333",
                        "price": 6101
                    }
                ]
            }
        ]
    }
}


Try It Here (Form)

To try the following endpoint, enter the example request data you want to use in the following form


Path Params
string
required
Headers
date-time
string
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json